=== modified file 'INDEX'
--- INDEX	2018-10-16 22:28:29 +0000
+++ INDEX	2018-11-25 23:02:51 +0000
@@ -544,7 +544,6 @@
         ToyKeeper/bistro/tripledown
         ToyKeeper/spaghetti-monster
         ToyKeeper/spaghetti-monster/anduril
-        ToyKeeper/spaghetti-monster/baton
         ToyKeeper/spaghetti-monster/darkhorse
         ToyKeeper/spaghetti-monster/momentary
         ToyKeeper/spaghetti-monster/ramping-ui

=== added file 'Tom_E/narsil/NarsilM_DE.pdf'
Binary files Tom_E/narsil/NarsilM_DE.pdf and Tom_E/narsil/NarsilM_DE.pdf differ
=== added file 'Tom_E/narsil/NarsilM_EN.pdf'
Binary files Tom_E/narsil/NarsilM_EN.pdf and Tom_E/narsil/NarsilM_EN.pdf differ
=== modified file 'ToyKeeper/bistro/biscotti/biscotti.c'
--- ToyKeeper/bistro/biscotti/biscotti.c	2018-11-10 02:05:05 +0000
+++ ToyKeeper/bistro/biscotti/biscotti.c	2018-11-25 23:02:51 +0000
@@ -224,33 +224,33 @@
     }
     */
 
-    eeprom_write_byte((uint8_t *)(eepos), mode_idx);  // save current state
-    eeprom_write_byte((uint8_t *)(oldpos), 0xff);     // erase old state
+    eeprom_update_byte((uint8_t *)(oldpos), 0xff);     // erase old state
+    eeprom_update_byte((uint8_t *)(eepos), mode_idx);  // save current state
 }
 
-//#define OPT_firstboot (EEPSIZE-1)
-#define OPT_modegroup (EEPSIZE-1)
-#define OPT_memory (EEPSIZE-2)
+#define OPT_firstboot (EEPSIZE-1)
+#define OPT_modegroup (EEPSIZE-2)
+#define OPT_memory (EEPSIZE-3)
 //#define OPT_offtim3 (EEPSIZE-4)
 //#define OPT_maxtemp (EEPSIZE-5)
-#define OPT_mode_override (EEPSIZE-3)
+#define OPT_mode_override (EEPSIZE-4)
 //#define OPT_moon (EEPSIZE-7)
 //#define OPT_revmodes (EEPSIZE-8)
 //#define OPT_muggle (EEPSIZE-9)
 void save_state() {  // central method for writing complete state
     save_mode();
 #ifdef USE_FIRSTBOOT
-    eeprom_write_byte((uint8_t *)OPT_firstboot, firstboot);
+    eeprom_update_byte((uint8_t *)OPT_firstboot, firstboot);
 #endif
-    eeprom_write_byte((uint8_t *)OPT_modegroup, modegroup);
-    eeprom_write_byte((uint8_t *)OPT_memory, memory);
+    eeprom_update_byte((uint8_t *)OPT_modegroup, modegroup);
+    eeprom_update_byte((uint8_t *)OPT_memory, memory);
 #ifdef OFFTIM3
-    eeprom_write_byte((uint8_t *)OPT_offtim3, offtim3);
+    eeprom_update_byte((uint8_t *)OPT_offtim3, offtim3);
 #endif
 #ifdef TEMPERATURE_MON
-    eeprom_write_byte((uint8_t *)OPT_maxtemp, maxtemp);
+    eeprom_update_byte((uint8_t *)OPT_maxtemp, maxtemp);
 #endif
-    eeprom_write_byte((uint8_t *)OPT_mode_override, mode_override);
+    eeprom_update_byte((uint8_t *)OPT_mode_override, mode_override);
     //eeprom_write_byte((uint8_t *)OPT_moon, enable_moon);
     //eeprom_write_byte((uint8_t *)OPT_revmodes, reverse_modes);
     //eeprom_write_byte((uint8_t *)OPT_muggle, muggle_mode);
@@ -284,7 +284,7 @@
     // find the mode index data
     for(eepos=0; eepos<WEAR_LVL_LEN; eepos++) {
         eep = eeprom_read_byte((const uint8_t *)eepos);
-        if (eep != 0xff) {
+        if (eep < 8) {
             mode_idx = eep;
 #ifndef USE_FIRSTBOOT
             first = 0;
@@ -661,8 +661,10 @@
             }
         }
     }
+    if (memory) {
+        save_mode();
+    }
     long_press = 0;
-    save_mode();
 
     #ifdef CAP_PIN
     // Charge up the capacitor by setting CAP_PIN to output

=== modified file 'ToyKeeper/bistro/biscotti/biscotti.hex'
--- ToyKeeper/bistro/biscotti/biscotti.hex	2017-07-11 21:11:40 +0000
+++ ToyKeeper/bistro/biscotti/biscotti.hex	2018-11-25 23:02:51 +0000
@@ -7,59 +7,60 @@
 :1000600000000002030507000000000704F800007C
 :1000700000000007007993A3ADB8FF0011241FBE54
 :10008000CFE9CDBF20E0A0E6B0E001C01D92AE36C2
-:10009000B207E1F7BBD0B1C1B3CF28ED3EE081504C
+:10009000B207E1F7BAD0B5C1B3CF28ED3EE0815049
 :1000A00020F0F9013197F1F7FACF08958AEFF5CFF3
-:1000B000369A3699FECF85B10895CF93C0916200EC
-:1000C00081E08C0F8F71809362006091600090E0FE
-:1000D00087D16FEF8C2F90E0CF9182C1EEDF6091DE
-:1000E00065008FE390E07CD1609164008EE390E046
-:1000F00077D1609163008DE390E072C1CF9310924D
-:100100006200C0916200C032F0F48C2F90E061D1A7
-:100110008F3FA9F0809360008FE390E05AD1C82F01
-:10012000809365008EE390E054D1809364008DE36A
-:1001300090E04FD180936300CC3068F004C0CF5F73
-:10014000C0936200DECF10926000109265001092A2
-:100150006300CF91C3CFCF910895E0916500F0E0A7
-:1001600083E0EE0FFF1F8A95E1F7E55EFF4FA6E6FD
-:10017000B0E080E09491992331F094919D938F5F4A
-:1001800031968830B9F780936100089591E29FBD60
-:10019000811102C019BC0895833010F093E29FBD15
-:1001A000E82FF0E0ED5EFF4FE491E9BD08951F9365
-:1001B000CF93DF93C82FD62F11E2CC2361F083E0D9
-:1001C000E5DF8D2F6ADF1FBD19BC8D2F66DF8D2FF8
-:1001D00064DFC150F2CFDF91CF911F9108951F933B
-:1001E000CF93DF93EC01862F6EE2E1DF888111E08F
-:1001F0008127888373DF63E080E2D9DF8881182755
-:1002000018836CDFDF91CF911F9150CFB99A81E0B5
-:1002100083BF74DFA2DF8091630081111CC08091D5
-:100220006E00811112C080916F008F5F8F7180937B
-:100230006F00809160008F5F8093600090916100FB
-:10024000891748F01092600006C010926F008091EC
-:1002500064008823B9F310926E002FDFA29A81E622
+:1000B000369A3699FECF85B108958091620091E01D
+:1000C000980F9F71909362006FEF90E089D18091BB
+:1000D00062006091600090E083C1EFDF6091650095
+:1000E0008EE390E07DD1609164008DE390E078D163
+:1000F000609163008CE390E073C1CF931092620033
+:10010000C0916200C032F0F48C2F90E062D1883050
+:10011000A8F4809360008EE390E05BD1C82F8093B9
+:1001200065008DE390E055D1809364008CE390E00E
+:1001300050D180936300CC3068F004C0CF5FC0938F
+:100140006200DECF10926000109265001092630092
+:10015000CF91C3CFCF910895E0916500F0E083E0A7
+:10016000EE0FFF1F8A95E1F7E55EFF4FA6E6B0E0D0
+:1001700080E09491992331F094919D938F5F319613
+:100180008830B9F780936100089591E29FBD811195
+:1001900002C019BC0895833010F093E29FBDE82F90
+:1001A000F0E0ED5EFF4FE491E9BD08951F93CF931A
+:1001B000DF93C82FD62F11E2CC2361F083E0E5DF77
+:1001C0008D2F6BDF1FBD19BC8D2F67DF8D2F65DF76
+:1001D000C150F2CFDF91CF911F9108951F93CF931C
+:1001E000DF93EC01862F6EE2E1DF888111E0812749
+:1001F000888373DF63E080E2D9DF88811827188362
+:100200006CDFDF91CF911F9151CFB99A81E083BF0D
+:1002100074DFA2DF809163009091640081111AC0A5
+:1002200080916E00811112C080916F008F5F8F717D
+:1002300080936F00809160008F5F809360002091B9
+:100240006100821738F01092600004C010926F00B5
+:100250009923C9F3911131DF10926E00A29A81E6C1
 :1002600087B986EC86B9369AC0916000EC2FF0E031
 :10027000EA59FF4FD08180916300882319F01092D2
 :100280006F0001C0CD2F10E081E2F82E9DEFE92E26
 :1002900080916F008A30B8F009DF10926F00E09211
-:1002A000600061E083E690E09ADF1092600062E017
-:1002B00084E690E094DFE0916000F0E0EA59FF4FBF
-:1002C000C081DC2F5EC0C83FB9F408E087E05EDF84
+:1002A000600061E083E690E099DF1092600062E018
+:1002B00084E690E093DFE0916000F0E0EA59FF4FC0
+:1002C000C081DC2F5EC0C83FB9F408E087E05DDF85
 :1002D00085E0E3DEFFBC19BC8AE0DFDE0150B1F748
-:1002E00008E087E053DF8AE0D8DEFFBC19BC84E178
+:1002E00008E087E052DF8AE0D8DEFFBC19BC84E179
 :1002F000D4DE0150B1F745C0CA3F61F404E087E0A5
-:1003000045DF83E0CADE84E041DF8FE0C6DE0150D6
-:10031000B1F70EC0C63F71F462E383E048DF8AEFB5
-:10032000BCDE6DE783E043DF62E383E040DFBEDEF7
+:1003000044DF83E0CADE84E040DF8FE0C6DE0150D8
+:10031000B1F70EC0C63F71F462E383E047DF8AEFB6
+:10032000BCDE6DE783E042DF62E383E03FDFBEDEF9
 :10033000BDDE27C0CE3F71F4BBDE982F80E0E82FF2
 :10034000F0E0EB58FF4FE491E91710F48F5FF7CF1F
 :100350006EE2ECCFCD3F89F4109260001092630002
-:1003600000E000936500BADE0F5F6EE2802F1FDFB2
-:100370009DDE9CDE0C30A9F7DBCF8D2F07DF8DE7EC
+:1003600000E000936500B9DE0F5F6EE2802F1EDFB4
+:100370009DDE9CDE0C30A9F7DBCF8D2F06DF8DE7ED
 :100380008CDE10926F00349B83CF85B18937F0F4F7
 :100390001F5F1830E0F0D830A0F4D23018F0CFEF63
 :1003A000CD0F10C0FFBC19BC85B7877E806185BFAB
 :1003B00085B7806285BF889585B78F7D85BFCD2F36
-:1003C00001C0C3E08C2FE2DE71DEDC2F10E0369A34
+:1003C00001C0C3E08C2FE1DE71DEDC2F10E0369A35
 :1003D0005FCFE199FECF8EBBE09A99278DB3089548
-:1003E000262FE199FECF1CBA8EBB2DBB0FB6F89419
-:0E03F000E29AE19A0FBE01960895F894FFCFAD
+:1003E000262FE199FECF8EBBE09A81500DB2021606
+:1003F00039F01CBA2DBB0FB6F894E29AE19A0FBE01
+:060400000895F894FFCFFF
 :00000001FF

